Subiject: Placeholder property in some fields

Description

A happy little feature was introduced in 4.7 already, but never documented:

Some TCA fields (input / text?) can have a placeholder config option to hold a 'placeholder’ value until user input was supplied.

See issue #33235 for the feature introduction and #52630 for a budfix in this area.

Related issues:

related to Core - Feature # 33235: Placeholder for TCEForm fields text/input
related to Core - Bug # 52630: PlaceHolder Feature in TCEforms only works on ...

Resolved 2012-01-16

Resolved 2013-11-13 2013-11-13

Associated revisions

Revision 74210c¢76 - 2014-02-26 22:32 - Francois Suter

[FEATURE] Placeholder attribute

Since TYPO3 CMS 4.7, a placeholder attribute is available
for fields of type input and text. This has been missing

from the documentation.

Furthermore, since 6.2 the placeholder configuration

can be a recursive pointer into related records.

Resolves: #52730
Releases: 6.2

Change-Id: 16e2c82f8a99095a7dbfd7fcb2c7d46e99f15b2e5
Reviewed-on: https://review.typo3.org/27885

Reviewed-by: Francois Suter

Tested-by: Francois Suter

History

#1 - 2013-10-14 14:17 - Ernesto Baschny

#52630 is not only a "bugfix", but allows to follow recursively a list of properties, i.e. used in sys_file_reference:

'placeholder' =>'__row|uid_local|metadataltitle’,

- _row.uid_local refers to sys_file

- sys_file.metadata refers to sys_file_metadata

- sys_file_metadata.title <= this is the one to be shown

#2 - 2014-02-26 21:58 - Francois Suter
https://review.typo3.org/27885

- Status changed from New to Accepted
- Assigned To set to Francois Suter

- Target version set to 6.2.0
#3 - 2014-02-26 22:30 - Gerrit Code Review

- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Documentation/TYPO3/Reference/Tca has been pushed to the review server.
It is available at https://review.typo3.0rg/27885

#4 - 2014-02-26 22:32 - Francois Suter

Note: I'm not going to backport this to older versions of the TCA Reference as | think it's not worth the effort. We already have so much to do, | would

rather concentrate on delivering squeaky clean documentation for 6.2 rather than providing fixes for older versions, except for critical issues.

#5 - 2014-02-26 22:35 - Francois Suter
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:74210c765cea099bf955d1bae8ea77f5519f63cf.

#6 - 2014-08-01 14:22 - Francois Suter
- Status changed from Resolved to Closed
